<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Python: module src.papire</title>
</head><body>

<table class="heading">
<tr class="heading-text decor">
<td class="title">&nbsp;<br><strong class="title"><a href="src.html" class="white">src</a>.papire</strong></td>
<td class="extra"><a href=".">index</a><br><a href="file:c%3A%5Cusers%5Cjanko%5Cgit%5Cpyth2%5Csrc%5Cpapire.py">c:\users\janko\git\pyth2\src\papire.py</a></td></tr></table>
    <p></p>
<p>
<table class="section">
<tr class="decor index-decor heading-text">
<td class="section-title" colspan=3>&nbsp;<br><strong class="bigsection">Classes</strong></td></tr>
    
<tr><td class="decor index-decor"><span class="code">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></td><td>&nbsp;</td>
<td class="singlecolumn"><dl>
<dt class="heading-text"><a href="builtins.html#object">builtins.object</a>
</dt><dd>
<dl>
<dt class="heading-text"><a href="src.papire.html#Papire">Papire</a>
</dt></dl>
</dd>
<dt class="heading-text"><a href="builtins.html#tuple">builtins.tuple</a>(<a href="builtins.html#object">builtins.object</a>)
</dt><dd>
<dl>
<dt class="heading-text"><a href="src.papire.html#Coor">Coor</a>
</dt></dl>
</dd>
</dl>
 <p>
<table class="section">
<tr class="decor title-decor heading-text">
<td class="section-title" colspan=3>&nbsp;<br><a name="Coor">class <strong>Coor</strong></a>(<a href="builtins.html#tuple">builtins.tuple</a>)</td></tr>
    
<tr><td class="decor title-decor" rowspan=2><span class="code">&nbsp;&nbsp;&nbsp;</span></td>
<td class="decor title-decor" colspan=2><span class="code"><a href="#Coor">Coor</a>(x:&nbsp;int,&nbsp;y:&nbsp;int)<br>
&nbsp;<br>
<a href="#Coor">Coor</a>(x,&nbsp;y)<br>&nbsp;</span></td></tr>
<tr><td>&nbsp;</td>
<td class="singlecolumn"><dl><dt>Method resolution order:</dt>
<dd><a href="src.papire.html#Coor">Coor</a></dd>
<dd><a href="builtins.html#tuple">builtins.tuple</a></dd>
<dd><a href="builtins.html#object">builtins.object</a></dd>
</dl>
<hr>
Methods defined here:<br>
<dl><dt><a name="Coor-__getnewargs__"><strong>__getnewargs__</strong></a>(self)<span class="grey"><span class="heading-text"> from collections.Coor</span></span></dt><dd><span class="code">Return&nbsp;self&nbsp;as&nbsp;a&nbsp;plain&nbsp;<a href="builtins.html#tuple">tuple</a>.&nbsp;&nbsp;Used&nbsp;by&nbsp;copy&nbsp;and&nbsp;pickle.</span></dd></dl>

<dl><dt><a name="Coor-__repr__"><strong>__repr__</strong></a>(self)<span class="grey"><span class="heading-text"> from collections.Coor</span></span></dt><dd><span class="code">Return&nbsp;a&nbsp;nicely&nbsp;formatted&nbsp;representation&nbsp;string</span></dd></dl>

<dl><dt><a name="Coor-_asdict"><strong>_asdict</strong></a>(self)<span class="grey"><span class="heading-text"> from collections.Coor</span></span></dt><dd><span class="code">Return&nbsp;a&nbsp;new&nbsp;dict&nbsp;which&nbsp;maps&nbsp;field&nbsp;names&nbsp;to&nbsp;their&nbsp;values.</span></dd></dl>

<dl><dt><a name="Coor-_replace"><strong>_replace</strong></a>(self, /, **kwds)<span class="grey"><span class="heading-text"> from collections.Coor</span></span></dt><dd><span class="code">Return&nbsp;a&nbsp;new&nbsp;<a href="#Coor">Coor</a>&nbsp;<a href="builtins.html#object">object</a>&nbsp;replacing&nbsp;specified&nbsp;fields&nbsp;with&nbsp;new&nbsp;values</span></dd></dl>

<hr>
Class methods defined here:<br>
<dl><dt><a name="Coor-_make"><strong>_make</strong></a>(iterable)<span class="grey"><span class="heading-text"> from collections.Coor</span></span></dt><dd><span class="code">Make&nbsp;a&nbsp;new&nbsp;<a href="#Coor">Coor</a>&nbsp;<a href="builtins.html#object">object</a>&nbsp;from&nbsp;a&nbsp;sequence&nbsp;or&nbsp;iterable</span></dd></dl>

<hr>
Static methods defined here:<br>
<dl><dt><a name="Coor-__new__"><strong>__new__</strong></a>(_cls, x: int, y: int)<span class="grey"><span class="heading-text"> from namedtuple_Coor.Coor</span></span></dt><dd><span class="code">Create&nbsp;new&nbsp;instance&nbsp;of&nbsp;<a href="#Coor">Coor</a>(x,&nbsp;y)</span></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>x</strong></dt>
<dd><span class="code">Alias&nbsp;for&nbsp;field&nbsp;number&nbsp;0</span></dd>
</dl>
<dl><dt><strong>y</strong></dt>
<dd><span class="code">Alias&nbsp;for&nbsp;field&nbsp;number&nbsp;1</span></dd>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>__annotations__</strong> = {'x': &lt;class 'int'&gt;, 'y': &lt;class 'int'&gt;}</dl>

<dl><dt><strong>__match_args__</strong> = ('x', 'y')</dl>

<dl><dt><strong>__orig_bases__</strong> = (&lt;function NamedTuple&gt;,)</dl>

<dl><dt><strong>_field_defaults</strong> = {}</dl>

<dl><dt><strong>_fields</strong> = ('x', 'y')</dl>

<hr>
Methods inherited from <a href="builtins.html#tuple">builtins.tuple</a>:<br>
<dl><dt><a name="Coor-__add__"><strong>__add__</strong></a>(self, value, /)</dt><dd><span class="code">Return&nbsp;self+value.</span></dd></dl>

<dl><dt><a name="Coor-__contains__"><strong>__contains__</strong></a>(self, key, /)</dt><dd><span class="code">Return&nbsp;bool(key&nbsp;in&nbsp;self).</span></dd></dl>

<dl><dt><a name="Coor-__eq__"><strong>__eq__</strong></a>(self, value, /)</dt><dd><span class="code">Return&nbsp;self==value.</span></dd></dl>

<dl><dt><a name="Coor-__ge__"><strong>__ge__</strong></a>(self, value, /)</dt><dd><span class="code">Return&nbsp;self&gt;=value.</span></dd></dl>

<dl><dt><a name="Coor-__getattribute__"><strong>__getattribute__</strong></a>(self, name, /)</dt><dd><span class="code">Return&nbsp;getattr(self,&nbsp;name).</span></dd></dl>

<dl><dt><a name="Coor-__getitem__"><strong>__getitem__</strong></a>(self, key, /)</dt><dd><span class="code">Return&nbsp;self[key].</span></dd></dl>

<dl><dt><a name="Coor-__gt__"><strong>__gt__</strong></a>(self, value, /)</dt><dd><span class="code">Return&nbsp;self&gt;value.</span></dd></dl>

<dl><dt><a name="Coor-__hash__"><strong>__hash__</strong></a>(self, /)</dt><dd><span class="code">Return&nbsp;hash(self).</span></dd></dl>

<dl><dt><a name="Coor-__iter__"><strong>__iter__</strong></a>(self, /)</dt><dd><span class="code">Implement&nbsp;iter(self).</span></dd></dl>

<dl><dt><a name="Coor-__le__"><strong>__le__</strong></a>(self, value, /)</dt><dd><span class="code">Return&nbsp;self&lt;=value.</span></dd></dl>

<dl><dt><a name="Coor-__len__"><strong>__len__</strong></a>(self, /)</dt><dd><span class="code">Return&nbsp;len(self).</span></dd></dl>

<dl><dt><a name="Coor-__lt__"><strong>__lt__</strong></a>(self, value, /)</dt><dd><span class="code">Return&nbsp;self&lt;value.</span></dd></dl>

<dl><dt><a name="Coor-__mul__"><strong>__mul__</strong></a>(self, value, /)</dt><dd><span class="code">Return&nbsp;self*value.</span></dd></dl>

<dl><dt><a name="Coor-__ne__"><strong>__ne__</strong></a>(self, value, /)</dt><dd><span class="code">Return&nbsp;self!=value.</span></dd></dl>

<dl><dt><a name="Coor-__rmul__"><strong>__rmul__</strong></a>(self, value, /)</dt><dd><span class="code">Return&nbsp;value*self.</span></dd></dl>

<dl><dt><a name="Coor-count"><strong>count</strong></a>(self, value, /)</dt><dd><span class="code">Return&nbsp;number&nbsp;of&nbsp;occurrences&nbsp;of&nbsp;value.</span></dd></dl>

<dl><dt><a name="Coor-index"><strong>index</strong></a>(self, value, start=0, stop=9223372036854775807, /)</dt><dd><span class="code">Return&nbsp;first&nbsp;index&nbsp;of&nbsp;value.<br>
&nbsp;<br>
Raises&nbsp;ValueError&nbsp;if&nbsp;the&nbsp;value&nbsp;is&nbsp;not&nbsp;present.</span></dd></dl>

<hr>
Class methods inherited from <a href="builtins.html#tuple">builtins.tuple</a>:<br>
<dl><dt><a name="Coor-__class_getitem__"><strong>__class_getitem__</strong></a>(...)</dt><dd><span class="code">See&nbsp;<a href="https://peps.python.org/pep-0585/">PEP&nbsp;585</a></span></dd></dl>

</td></tr></table> <p>
<table class="section">
<tr class="decor title-decor heading-text">
<td class="section-title" colspan=3>&nbsp;<br><a name="Papire">class <strong>Papire</strong></a>(<a href="builtins.html#object">builtins.object</a>)</td></tr>
    
<tr><td class="decor title-decor" rowspan=2><span class="code">&nbsp;&nbsp;&nbsp;</span></td>
<td class="decor title-decor" colspan=2><span class="code"><a href="#Papire">Papire</a>(turns:&nbsp;Dict[src.papire.<a href="#Coor">Coor</a>,&nbsp;str]&nbsp;=&nbsp;{})&nbsp;-&amp;gt;&nbsp;None<br>
&nbsp;<br>
<br>&nbsp;</span></td></tr>
<tr><td>&nbsp;</td>
<td class="singlecolumn">Methods defined here:<br>
<dl><dt><a name="Papire-__init__"><strong>__init__</strong></a>(self, turns: Dict[src.papire.Coor, str] = {}) -&gt; None</dt><dd><span class="code">Initialize&nbsp;self.&nbsp;&nbsp;See&nbsp;help(type(self))&nbsp;for&nbsp;accurate&nbsp;signature.</span></dd></dl>

<dl><dt><a name="Papire-__str__"><strong>__str__</strong></a>(self) -&gt; str</dt><dd><span class="code">Return&nbsp;str(self).</span></dd></dl>

<dl><dt><a name="Papire-put_mark"><strong>put_mark</strong></a>(self, coor: src.papire.Coor, mark: str) -&gt; 'Papire'</dt><dd><span class="code">Places&nbsp;a&nbsp;symbol&nbsp;on&nbsp;the&nbsp;virtual&nbsp;paper&nbsp;in&nbsp;the&nbsp;game&nbsp;Piskvorky&nbsp;at&nbsp;the&nbsp;specified<br>
position.<br>
&nbsp;<br>
&gt;&gt;&gt;&nbsp;papire&nbsp;=&nbsp;<a href="#Papire">Papire</a>({<a href="#Coor">Coor</a>(0,&nbsp;0):&nbsp;'X'})<br>
&gt;&gt;&gt;&nbsp;papire.<a href="#Papire-put_mark">put_mark</a>(<a href="#Coor">Coor</a>(0,&nbsp;1),&nbsp;'O').turns<br>
{<a href="#Coor">Coor</a>(x=0,&nbsp;y=0):&nbsp;'X',&nbsp;<a href="#Coor">Coor</a>(x=0,&nbsp;y=1):&nbsp;'O'}<br>
&nbsp;<br>
Args:<br>
&nbsp;&nbsp;&nbsp;&nbsp;coor&nbsp;(<a href="#Coor">Coor</a>):&nbsp;The&nbsp;coordinates&nbsp;where&nbsp;the&nbsp;symbol&nbsp;is&nbsp;to&nbsp;be&nbsp;placed.<br>
&nbsp;&nbsp;&nbsp;&nbsp;mark&nbsp;(str):&nbsp;The&nbsp;symbol&nbsp;to&nbsp;be&nbsp;placed&nbsp;at&nbsp;the&nbsp;specified&nbsp;coordinates.<br>
&nbsp;<br>
Returns:<br>
&nbsp;&nbsp;&nbsp;&nbsp;<a href="#Papire">Papire</a>:&nbsp;A&nbsp;new&nbsp;instance&nbsp;of&nbsp;the&nbsp;<a href="#Papire">Papire</a>&nbsp;class&nbsp;with&nbsp;the&nbsp;symbol&nbsp;placed.<br>
&nbsp;<br>
Raises:<br>
&nbsp;&nbsp;&nbsp;&nbsp;ValueError:&nbsp;If&nbsp;the&nbsp;specified&nbsp;position&nbsp;is&nbsp;already&nbsp;occupied.</span></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><span class="code">dictionary&nbsp;for&nbsp;instance&nbsp;variables</span></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><span class="code">list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object</span></dd>
</dl>
</td></tr></table></td></tr></table><p>
<table class="section">
<tr class="decor data-decor heading-text">
<td class="section-title" colspan=3>&nbsp;<br><strong class="bigsection">Data</strong></td></tr>
    
<tr><td class="decor data-decor"><span class="code">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></td><td>&nbsp;</td>
<td class="singlecolumn"><strong>Dict</strong> = typing.Dict</td></tr></table>
</body></html>